summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD39
2 files changed, 63 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fb2e8dbc374
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = kclock-git
+ pkgdesc = Clock app for Plasma Mobile
+ pkgver = r157.e96a786
+ pkgrel = 1
+ url = https://invent.kde.org/plasma-mobile/kclock
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = cmake
+ makedepends = extra-cmake-modules
+ depends = ki18n
+ depends = kconfig
+ depends = kcoreaddons
+ depends = knotifications
+ depends = kdbusaddons
+ depends = kirigami2
+ depends = kirigami-addons-git
+ provides = kclock
+ conflicts = kclock
+ source = git+https://invent.kde.org/plasma-mobile/kclock.git
+ sha256sums = SKIP
+
+pkgname = kclock-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..07bb783ab05
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Gustavo Castro < gustawho [ at ] gmail [ dot ] com >
+
+pkgname=kclock-git
+pkgver=r157.e96a786
+pkgrel=1
+pkgdesc="Clock app for Plasma Mobile"
+arch=(x86_64)
+url="https://invent.kde.org/plasma-mobile/kclock"
+license=(GPL3)
+depends=(ki18n kconfig kcoreaddons knotifications kdbusaddons kirigami2 kirigami-addons-git)
+makedepends=(git cmake extra-cmake-modules)
+provides=(kclock)
+conflicts=(kclock)
+source=("git+https://invent.kde.org/plasma-mobile/kclock.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${pkgname%-git}"
+ install -d build
+}
+
+build() {
+ cd "${pkgname%-git}/build"
+ cmake ..
+ make
+}
+
+package() {
+ cd "${pkgname%-git}/build"
+ make DESTDIR="$pkgdir" install
+}